> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a SIPREC connector

> Updates a stored SIPREC connector configuration.



## OpenAPI

````yaml /openapi/source/external/siprec/siprec.json put /siprec_connectors/{connector_name}
openapi: 3.1.0
info:
  version: 2.0.0
  title: Telnyx API
  x-latency-category: responsive
  x-endpoint-cost: light
  description: SIP trunking, SMS, MMS, Call Control and Telephony Data Services.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  contact:
    email: support@telnyx.com
servers:
  - description: Version 2.0.0 of the Telnyx API.
    url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: SIPREC Connectors
    description: SIPREC connectors configuration.
paths:
  /siprec_connectors/{connector_name}:
    put:
      tags:
        - SIPREC Connectors
      summary: Update a SIPREC connector
      description: Updates a stored SIPREC connector configuration.
      operationId: updateSiprecConnector
      parameters:
        - $ref: '#/components/parameters/SiprecConnectorName'
      requestBody:
        $ref: '#/components/requestBodies/SiprecConnectorRequest'
      responses:
        '200':
          description: Return details of the SIPREC connector.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiprecConnectorResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '422':
          $ref: '#/components/responses/UnprocessableEntityResponse'
        default:
          $ref: '#/components/responses/GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const siprecConnector = await
            client.siprecConnectors.update('connector_name', {
              host: 'siprec.telnyx.com',
              name: 'my-siprec-connector',
              port: 5060,
            });


            console.log(siprecConnector.data);
        - lang: Python
          source: |
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            siprec_connector = client.siprec_connectors.update(
                connector_name="connector_name",
                host="siprec.telnyx.com",
                name="my-siprec-connector",
                port=5060,
            )
            print(siprec_connector.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tsiprecConnector, err := client.SiprecConnectors.Update(\n\t\tcontext.TODO(),\n\t\t\"connector_name\",\n\t\ttelnyx.SiprecConnectorUpdateParams{\n\t\t\tHost: \"siprec.telnyx.com\",\n\t\t\tName: \"my-siprec-connector\",\n\t\t\tPort: 5060,\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", siprecConnector.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.siprecconnectors.SiprecConnectorUpdateParams;

            import
            com.telnyx.sdk.models.siprecconnectors.SiprecConnectorUpdateResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    SiprecConnectorUpdateParams params = SiprecConnectorUpdateParams.builder()
                        .connectorName("connector_name")
                        .host("siprec.telnyx.com")
                        .name("my-siprec-connector")
                        .port(5060L)
                        .build();
                    SiprecConnectorUpdateResponse siprecConnector = client.siprecConnectors().update(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            siprec_connector = telnyx.siprec_connectors.update(
              "connector_name",
              host: "siprec.telnyx.com",
              name: "my-siprec-connector",
              port: 5060
            )

            puts(siprec_connector)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $siprecConnector = $client->siprecConnectors->update(
                'connector_name',
                host: 'siprec.telnyx.com',
                name: 'my-siprec-connector',
                port: 5060,
                appSubdomain: 'my-app',
              );

              var_dump($siprecConnector);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx siprec-connectors update \
              --api-key 'My API Key' \
              --connector-name connector_name \
              --host siprec.telnyx.com \
              --name my-siprec-connector \
              --port 5060
components:
  parameters:
    SiprecConnectorName:
      name: connector_name
      in: path
      required: true
      description: Uniquely identifies a SIPREC connector.
      schema:
        type: string
  requestBodies:
    SiprecConnectorRequest:
      description: The parameters required to create or update a SIPREC connector.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SiprecConnector'
  schemas:
    SiprecConnectorResponse:
      type: object
      title: SIPREC Connector Response
      required:
        - data
      properties:
        data:
          type: object
          title: SIPREC Connector
          properties:
            record_type:
              type: string
              example: siprec_connector
            name:
              type: string
              description: Name for the SIPREC connector resource.
              example: siprec-connector
            host:
              description: Hostname/IPv4 address of the SIPREC SRS.
              type: string
              example: siprec.telnyx.com
            port:
              description: Port for the SIPREC SRS.
              type: integer
              example: 5060
            app_subdomain:
              type: string
              description: Subdomain to route calls when using Telnyx SRS (optional).
              example: my-app-domain
            created_at:
              type: string
              description: ISO 8601 formatted date/time of creation.
              example: '2024-01-23T18:10:02.574Z'
            updated_at:
              type: string
              description: ISO 8601 formatted date/time of last update.
              example: '2024-01-23T18:10:02.574Z'
    SiprecConnector:
      type: object
      title: SIPREC connector configuration
      required:
        - host
        - port
        - name
      properties:
        host:
          description: Hostname/IPv4 address of the SIPREC SRS.
          type: string
          example: siprec.telnyx.com
        port:
          description: Port for the SIPREC SRS.
          type: integer
          example: 5060
        name:
          description: Name for the SIPREC connector resource.
          type: string
          example: my-siprec-connector
        app_subdomain:
          description: >-
            Subdomain to route the call when using Telnyx SRS (optional for
            non-Telnyx SRS).
          type: string
          example: my-app-domain
      example:
        host: siprec.telnyx.com
        port: 5060
        name: my-siprec-connector
        app_subdomain: my-app
    Errors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
    Error:
      type: object
      required:
        - code
        - title
      properties:
        code:
          type: integer
          format: int32
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              type: string
              description: JSON pointer (RFC6901) to the offending entity.
            parameter:
              type: string
              description: Indicates which query parameter caused the error.
        meta:
          type: object
          additionalProperties: true
  responses:
    NotFoundResponse:
      description: The requested resource does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Errors'
          example:
            errors:
              - code: 404
                title: Not Found
                detail: The requested resource does not exist
    UnprocessableEntityResponse:
      description: >-
        Unprocessable entity. The request was well-formed but contains semantic
        errors.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Errors'
          example:
            errors:
              - code: 422
                title: Unprocessable Entity
                detail: The request parameters failed validation
    GenericErrorResponse:
      description: Unexpected error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Errors'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````